# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: 'Bedrock Llama Text Models'

# For Llama 3.2 Vision models, see promptfooconfig.llama-vision.yaml

prompts:
  - 'Translate to {{language}}: {{input}}'

providers:
  - id: bedrock:us.meta.llama3-2-3b-instruct-v1:0
    label: Llama 3.2 3B
    config:
      region: us-west-2

  - id: bedrock:us.meta.llama4-scout-17b-instruct-v1:0
    label: Llama 4 Scout 17B
    config:
      region: us-west-2

  - id: bedrock:us.meta.llama4-maverick-17b-instruct-v1:0
    label: Llama 4 Maverick 17B
    config:
      max_gen_len: 100
      temperature: 0.7
      region: us-west-2

tests:
  - vars:
      language: French
      input: Hello world
  - vars:
      language: Spanish
      input: Where is the library?
